TAAS - Feature #279

Pos Pg Reconciliation
01/08/2024 01:22 PM - Junaid M

Status: Reopen Bugs Start date: 01/08/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Pos Pg Reconciliation

Description

Coding Pos Pg Reconciliation

History

#1 - 01/08/2024 01:23 PM - Junaid M

- Tracker changed from Bug to Feature

#2 - 01/09/2024 09:41 AM - Aparna Mathew
- Status changed from New to Particialy Coding Done

- % Done changed from 0 to 40

#3 - 01/09/2024 05:03 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CLEARING DOCUMENT DATE AND SEARCH

2.REMOVE EDIT PEN FROM TOTAL AMOUNT AND NO VALUE AMOUNT FIELD
3.ERROR WHILE ADDING DECIMAL VALUE IN STATEMENT FIELD

4.ADD PRECISION VALUE FOR CHARGE AND INPUT TAX FIELD

5.NO DATA FROM SALE & OPENING BALANCE

6.CORRECT LENGTH OF LIST COLUMNS

#4 - 02/28/2024 12:38 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#5 - 02/28/2024 05:09 PM - unnikannan S
ISSUE FOUNDED

1.MISS CALCULATION ERROR IN UNTICK,TICK CASE FROM LIST
2.DISABLE THE PERIOD WHILE SAVING
3.MISSING ADDED CARD NAME AND ERROR WHILE CHANGING CARD DROP DOWN

#6 - 02/28/2024 05:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#7 - 03/05/2024 09:49 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#8 - 03/05/2024 12:25 PM - unnikannan S
TESTING DONE

#9 - 03/05/2024 12:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD NO DATA FOUND MESSAGE
2.ERROR WHILE CHOOSING NEW BUTTON WITHOUT ANY DATAS IN POS FIELD
3.FIXED-NAN IN FARE FIELD

#10 - 03/18/2024 06:46 PM - Aparna Mathew

Use Record Type As(Transaction)
44 - Dr
45 - Cr

#11 - 04/05/2024 09:25 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 04/05/2024 11:09 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#13 - 04/05/2024 01:21 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 04/06/2024 03:45 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING POS ID (SEARCH FIELD) ON RELOAD IN CASE OF CHANGING THE BRANCH AND UPDATE

#15 - 04/11/2024 09:59 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 07/12/2024 12:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Missing Input Tax
#17 - 07/19/2024 11:26 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 10/15/2024 12:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUND

1. Internal matching not done.
2. Add print button and connect print.
3.input tax field in current received tab shows tax percentage instead of tax amount

#19 - 10/23/2024 01:47 PM - Arathy PS
ISSUE FOUND

1. Add print button and connect print.

2.input tax field in current received tab shows tax percentage instead of tax amount
3. Data not fetching from 'as per bank field'".

4. Alignment of total in posting

#20 - 10/29/2024 10:30 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 11/04/2024 05:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#22 - 11/30/2024 12:10 PM - unnikannan S
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#23 - 12/03/2024 10:54 PM - Aparna Mathew

Delete Pending (matching restoration is pending)

#24 - 12/05/2024 06:46 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

Delete Pending (matching restoration is pending)

NEW CHANGES

——>In Search
1. Add Bank (Auto-complete) (*red) DONE
2. Change POS to multi select. (Default Select all Bank's POS) (optional)DONE

—> In Received/Paid Grid

1. Add CC No. column DONE

2. Add POS ID Column (is multiple) DONE

3. Group By Credit Card Account [control account] DONE

4. Show Total on Head (Total of selected items) - [experimental] OR Per group summary — on testing
5. Show Summary "Grand Total" on Last row (Total of selected items) DONE

6. Need Redirection Link for Document No DONE

—> In Master
1. Add Difference Account after As Per Bank DONE

#25 - 12/16/2024 02:33 PM - Arathy PS
- File clipboard-202412161433-z1hmq.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Charge is not showing in the charge column in the grid for cash sale. DONE
2. Tax showing in the grid is also not correct for receipt. DONE
3. Asset Sale document is not showing

Change
1. Add a new column 'Amount' before Charge and show the total amount in the invoice there. DONE

POS/PG Reconciliation

e Period™ | 16/12/2024 (<] 16/12/2024
POSPGID® | pPOOT: POS/PG
Master  Current Received | Previous Received
# = Date DocNo Account
o
1 0O | enanoe csroot COC004: Corporate Card Customer A
2 v 62m024 csr02 CRODD4: Crecit Card Customer Actas

#26 - 01/02/2025 03:27 PM - Arathy PS

Branch*

Charge
000

0.00

- Assignee changed from Aparna Mathew to Vivekp V

#27 - 02/04/2025 07:18 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 03/27/2025 01:00 PM - Arathy PS
- File clipboard-202503271254-5ilhb.png added
- File clipboard-202503271257-ov5qr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

BROOT: Main ~ Q search
T Q & O
Input Tax Received Amount | Authorization Code Party Details
000 50000 CUSO0T:: ABDUL SALAM
000 800.00 CUSDO1= ABDUL SALAM

1. Precision of Roe and amount in QAR gets missing while save/update.
2. Currency of the account is missing when the pos/pg is of different currency but the ledger we used doesn't have that currency.
ravvise

POS/PG Reconciliation

POS/PG Reconcilistion has been Saved.

Period”

Bank™ | BNKOO1

Master  Current Received  Previous Received
DocNe | POR/004
Bank” | BNK0O1
Remarks
Created By:  Administrator(27/03/2025 12:52 PM)
Modified By: ~ admin(27/03/2025 12:52 PM){1]
As Per Bank | 3900.00
#  item

1 CurrentReceived

2 Previous Received
Total
DN/CN
Account™ | ELOTI Salary Expenses
Mein Ledger” | Salary Expenses
Remarks

05/03/2025

Date”

system
Amount
3920.00

0.00

2920.00 Dr

27/03/2025

Count

w
Branch™ ' BROO1: Main v Q Search
v POS/PG ID -
&p
t
[<i~] 8ranch” | BROO1: Main v
INR v Department | DPOO1: Account v
Reference
A
Branch BROO1:: Main POSID
Period 27/03/2025 - 27/03/2025
Difference: 20.00
T Q B O
Statement Current Difference
Amount Count Amount Count Amount Count
390000 0 392000 1 20.00 1 Vs
000 0 000 0 0.00 0 ra
3900.00 Dr o 3920.00 1 20.00 Dr 1
v AmountIn INR* | 20,00
v ROE | 4

Amount In QAR™

47



3. Data missing in POS ID.

Travvise POS/PG Reconciliation

RAVEL SOLUTION PYTLTD

Period” 2770 27/ Branch™ | BROO1: Main e Q Search
Bank™ | BNKOO1 Cic INR v POS/PG ID -
Master  Cument Received  Previous Received
DocNo | POR/004 Date™ | 27/03/2025 S n Branch® | BROOT: Main e
Bank™ | BNK0O1 cic INR v Department | DPOO1: Account v
b Remarks Reference
¥
Created By: Administrator(27/03/2025 12:52 PM) Branch BROO1:: Main POSID
Modified By: Administrator(27/03/2025 12:52 PM)[1] Period 27/03/2025 - 27/03/2025
AsPerBank | 3900.00 Difference: 20.00

#29 - 03/28/2025 09:28 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 04/02/2025 02:46 PM - Theja Ponon
Issue FIXED

POS id is not clearing on New click

#31 - 04/02/2025 05:54 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#32 - 04/03/2025 06:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 04/04/2025 02:22 PM - Theja Ponon
- File clipboard-202504041422-7ba%h.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

Travvise

e POOOT: jenSpOutfes: IC ode’ : "ERROR”, "strSqlC: " : "POS/PG iliation Save Failed”, "strSqlC Type" : "DATABASE SYSTEM ERROR", "strSqlC de” : null, " “snSqlRes: N'sinSqiC SES X
tr i \”, " :\"Transaction Reference Save Failed! 'strSqlCustomErrorType\” : \"DATABASE_SYSTEM_ERROR\", \"strSqICt de\” : null, \" : \Vinsert or update on table \\\"tbl_t (ransat(lﬂn references\\" violates foreign key
e cunsﬁamt\\\'ﬂ:l transaction_r veieren(es fi_record_ref_doc_id_fkey\\W™\", \"strSqlSysExceptionDetail\" (f_record_ref_doc_id)=(0) is not present in table \\\"tbl_documents\\\".\", \"strSq|SysExceptionHint}" : \"SQL statement \W\"INSERT INTO transaction.tbl_transaction_references
{f_transaction i \AWAMWWMANETK record.ref doc id Wi\ ANV _record ref_doc_noMri\EWENANANt--int record.ref doc_sequence_ noMniNENEIANE--
sin_record_ref_doc_type W\ tvhr_record ref doc_type! _re._store_record) "ref_doc_ledg_curency, |_ref_doc_ledg_cur_ro |ref_doc_ledg_cur_debit WiV ref_doc ledg_cur_credit n\MEWEEWEENE--
it dbl_ledg_cur_reserved_amount\\n\wn\\ AN whr_ref_doc_base_currency n\\AMMWANedbl_ref_doc_base_cur_debit \n\MNAAM el ref_doc_base_cur_credit \nieWEMANEN-—
dbl_base_cur_reserved_amount, r_ref_doc_cons_currency,’ |_ref_doc_cons_cur_roe; |_ref_doc_cons_cur_debit) |_ref_doc_cons_cur_credit \Wn\AT BB
N dbl_cons_cur_reserved_amount tin! _old_cheque_status, 1_old_clear_statu: \_old_transaction_ LUES(CAS -5 3 fionld® AS BIGINT), ST
>>"binRecordRefDocld’ AS BIGINT); ‘strRecordRefDocNo’) AST(jsn’ i - > intRec ' AS INT), O fDocType", ST(jsnTran: -
>>'si [ AS SMALLINT) \ahin s i > >'strRefDocLedgCl ST i ‘dblRefDocledgCurRoe’ AS DOUBLE PRECISION), ST i ‘dblfefDocladgCuDetic AS DOUBLE
prt PRECISION), hi - > »'dblRefDocledgCurCredit’ AS DOUBLE PRECIS\ON) t--CAST(jsn’ -e->>'dblLedgC " AS DOUBLE PRECISION),
>>strRefDocBaseCy cy') ST(jsnTran: - > »'dblRefDocBaseCurDebit” AS DOUBLE PREC\SION) ST( ‘dblRefDocBaseCurCredit’ AS DOUBLE PRECISION) -CAS
Info >»"dblBaseCurReservedAmount’ AS DOUBLE PRECISION), it i - » > 'strRefDocConsC i - > »'dblRefDocConsCurRoe’ AS DOUBLE PRECISION)\\n' ->>'dblRefDocConsCurDebit' AS
DOUBLE PRECISION), \ST(jsn’ > dblReiDu(CcnsCulCmd\t’ AS DOUBLE PRECISION); ->>'dblConsCy ' AS DOUBLE PRECISION), TG
>>"chrOldd ! AS CHAR); ST(jsn inOldClearStatus’ AS SMALLINT), tCAST i > > sinOldTransactionStatus' AS SMALLINTIA\"\\nPLépgSQL function sp_insert_or_update_transaction_reference_base(jsonbll bigin) line 17 at
& S statement\nSOL statement W\'CALL s insert_or_update ransacion.reference base(arTTansactionReference binDocumentid, jsnSoOutRes)\\ \\nPL/pgSCL function sp_inser o update_pospg. rece(sonbjsenb jsenc{Lbigint] ine 114 at CALLV, VinSqlPky’ : 0, VbinSglLegPly” 0, VsirSqiDacol” s nul,
\"dctSqlOtherData\" : null’, * Detail* : Hint" : "PL/pgSQL function sp_insert_or_update_transaction_reference_base{jsonb{]bigint) line 99 at RAISE\nSQL statement \"CALL sp_insert_or_update_transaction_reference_basefarjTransactionReference,binDocumentld,
er jsnSpOUtRes\\NPL/pgSQL function sp.insert.or_update_pospg. recofjsonb jsonbjsonbl] bigint(]) line 114 at CALL, *binSqIPk" : 70, "binSqlLogPk" : 0 *strSqiDocNo” : null, *detSqiOtherData" : {'binDocumentid": "70", "strDocumentMo *POR/DDS", "binPosPgRecoMasterld": "6}
e
Period” | 04/04/2020 @ 0 | oao4z025 [ Branch™ | BROO1: Main v Q Search
o Bank™ | BNKOO1 Own Bank QAR v POS/PGID | pOS/PG % -
s
Master  Current Received  Previous Received
=3
Doc No Date® | 04/04/2025 an Branch® | BROD1: Main 3
oard
Bank® | BNKOO1 Own Bank QAR v Department  DPO01: Account v
Remarks Reference
4
Created By: Branch BROO1:: Main POS ID
Modified By: Period 04/04/2020 - 04/04/2025

#34 - 04/04/2025 03:33 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 04/29/2025 10:52 AM - Theja Ponon

- File clipboard-202504291051-arkyb.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Issue On posting(Outstanding is wrong)
Posting
a
| Doc Mo: POR/003 Status® | Active (Posting Status) % 3 more ¥ - OK
ol

Summary = Details

Posting Summary T Q = Il
# | Main Ledger Ledger Date Transaction Currency
Currency Debit Credit Outstanding WP
1 AMOO08: Bank Accounts BNK0O1: Own Bank 29/04/2025 QAR 2807.40 0.00 2807.40
2 LMO04: Credit Cards Payable Account CRCOO02:: Credit & Debit Card 2070442025 OAR 0.00 2807.40 2807.40
n
aQ
Ca
Total QAR 2807.40 QAR 2807.40 QAR 5614.80
[ Close

#36 - 05/02/2025 12:30 PM - Arathy PS
- File clipboard-202505021229-2mrpm.png added

Issue found

:rfaVVise POS/PG Reconciliation

As Per Bank Amount Cannct Be Greater Than Total Amount.

Period” | 02/05/2025 Q06 02/05/2025 Q0 Branch™ | BROO1: Main v Q Search

Bank® | BNK0OY icici QAR v POS/PGID | sefect. -

Master  Current Received  Previous Received

Dec N Dats™  02/05/2025 (<] Branch™ | BROO1: Main i
Bank® | BNKOOT cic QAR i Department | DPOO1z Account v
Remarks Reference
‘
Created By: Branch BROO1:: Main POSID
Modified By: Period 02/05/2025 - 02/05/2025
As Per Bank | 980.00 Difference: 0.00

POS/PG Reconciliation Summary
# Item System Statement Current Difference
Amount Count Amount Count Amount Count Amount Count
1 Current Received 980.00 1 0.00 ] 980.00 1 980.00 1 Va
2 Previous Received 0.00 0 0.00 0 0.00 0 0.00 0 ra
Total 980.00 Dr 1 0.00 0 980.00 1 980.00 Dr 1

DN/CN

Account* v Amount In QAR* | 0.00

Main Ledger v
Remarks
4
Files
